mkieee.c(3)

NAME
mkieee.c - Store a list of real values in 32-bit IEEE floating point format.

SYNOPSIS

#include 'grib2_int.h'
#include <math.h>
#include <stdlib.h>

  Functions

void mkieee (float *a, g2int *rieee, g2int num)
Store a list of real values in 32-bit IEEE floating point format.

Detailed Description

Store a list of real values in 32-bit IEEE floating point format.

Author
    Stephen Gilbert

Date
    2002-10-29

Definition in file mkieee.c.

Function Documentation

  void mkieee (float * a, g2int * rieee, g2int num)

Store a list of real values in 32-bit IEEE floating point format.

Parameters
    a Input array of floating point values.
    num Number of floating point values to convert.
    rieee Output array of data values in 32-bit IEEE format stored in g2int integer array. rieee must be allocated with at least 4*num bytes of memory before calling this function.

Author
    Stephen Gilbert

Date
    2002-10-29

Definition at line 22 of file mkieee.c.

References int_power().

Referenced by aecpack_int(), compack(), g2_addfield(), jpcpack_int(), misspack(), pngpack_int(), simpack(), and specpack().

Author

Generated automatically by Doxygen for NCEPLIBS-g2c from the source code.